Bug 968585 - [abrt] libreoffice-core-3.6.6.2-5.fc18: SvxShape::HasSdrObjectOwnership: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.6.2-5.fc18: SvxShape::HasSdrObjectOwnership: Proc...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:6e5fb55f4bd6bd9755918a3b997...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 18:14 EDT by Ian Pilcher
Modified: 2013-05-31 01:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 01:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.18 KB, text/plain)
2013-05-29 18:14 EDT, Ian Pilcher
no flags Details
File: cgroup (132 bytes, text/plain)
2013-05-29 18:14 EDT, Ian Pilcher
no flags Details
File: core_backtrace (6.64 KB, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: dso_list (26.82 KB, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: environ (3.02 KB, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: maps (112.09 KB, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: open_fds (2.20 KB, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details
File: var_log_messages (350 bytes, text/plain)
2013-05-29 18:15 EDT, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2013-05-29 18:14:50 EDT
Description of problem:
Attempting to move object (grouped bitmap, shape, text) in Impress.

Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress /tmp/OpenShift_Enterprise_Sales_Presentation-11APR2013-2.odp --splash-pipe=6
crash_function: SvxShape::HasSdrObjectOwnership
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.4-200.rhbz806091.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SvxShape::HasSdrObjectOwnership at /usr/src/debug/libreoffice-3.6.6.2/svx/source/unodraw/unoshape.cxx:281
 #1 SdrObject::Free at /usr/src/debug/libreoffice-3.6.6.2/svx/source/svdraw/svdobj.cxx:518
 #2 SdrUndoObjList::~SdrUndoObjList at /usr/src/debug/libreoffice-3.6.6.2/svx/source/svdraw/svdundo.cxx:748
 #3 ~SdrUndoRemoveObj at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/svx/svdundo.hxx:300
 #4 ~SdrUndoDelObj at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/svx/svdundo.hxx:337
 #5 ~UndoDeleteObject at /usr/src/debug/libreoffice-3.6.6.2/sd/inc/undo/undoobjects.hxx:77
 #6 sd::UndoDeleteObject::~UndoDeleteObject at /usr/src/debug/libreoffice-3.6.6.2/sd/inc/undo/undoobjects.hxx:77
 #7 SfxUndoArray::~SfxUndoArray at /usr/src/debug/libreoffice-3.6.6.2/svl/source/undo/undo.cxx:1494
 #8 ~SfxListUndoAction at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/svl/undo.hxx:159
 #9 SfxListUndoAction::~SfxListUndoAction at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/svl/undo.hxx:159
Comment 1 Ian Pilcher 2013-05-29 18:14:54 EDT
Created attachment 754567 [details]
File: backtrace
Comment 2 Ian Pilcher 2013-05-29 18:14:57 EDT
Created attachment 754568 [details]
File: cgroup
Comment 3 Ian Pilcher 2013-05-29 18:15:01 EDT
Created attachment 754569 [details]
File: core_backtrace
Comment 4 Ian Pilcher 2013-05-29 18:15:05 EDT
Created attachment 754570 [details]
File: dso_list
Comment 5 Ian Pilcher 2013-05-29 18:15:08 EDT
Created attachment 754571 [details]
File: environ
Comment 6 Ian Pilcher 2013-05-29 18:15:11 EDT
Created attachment 754572 [details]
File: limits
Comment 7 Ian Pilcher 2013-05-29 18:15:15 EDT
Created attachment 754573 [details]
File: maps
Comment 8 Ian Pilcher 2013-05-29 18:15:18 EDT
Created attachment 754574 [details]
File: open_fds
Comment 9 Ian Pilcher 2013-05-29 18:15:21 EDT
Created attachment 754575 [details]
File: proc_pid_status
Comment 10 Ian Pilcher 2013-05-29 18:15:24 EDT
Created attachment 754576 [details]
File: var_log_messages
Comment 11 David Tardon 2013-05-30 04:01:38 EDT
Is it reproducible?
Comment 12 Ian Pilcher 2013-05-30 09:17:53 EDT
(In reply to David Tardon from comment #11)
> Is it reproducible?

I haven't seen it again.
Comment 13 David Tardon 2013-05-31 01:39:55 EDT
Too bad :-(

Note You need to log in before you can comment on or make changes to this bug.